// This script is only executed once the page has loaded.
window.addEventListener('load', function(event) {
	// Set a toggle so we can switch the style change on and off.
	var toggle = false;

	// Get the body's current style object and the property we want to edit.
	var body_style = (window.document.body) ? window.document.body.style : false;
	var original = (body_style) ? body_style.fontSize : '1em';

	// Execute this when a message is received from the background script.
	opera.extension.onmessage = function(event) {
		if (!toggle && body_style) {
			body_style.fontSize = '1.4em';
			toggle = true;
		} else if (body_style) {
			body_style.fontSize = original;
			toggle = false;
		}
	};
}, false);
